package com.clx.performance.dao.impl;

import com.clx.performance.dao.SettlementLogDao;
import com.clx.performance.enums.SettlementOwnerEnum;
import com.clx.performance.mapper.SettlementLogMapper;
import com.clx.performance.model.SettlementLog;
import com.clx.performance.model.SettlementOwner;
import com.msl.common.dao.impl.BaseDaoImpl;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: aiqinguo
 * @Description: 结算单日志
 * @Date: 2023-10-11 18:04:09
 * @Version: 1.0
 */
@Repository
public class SettlementLogDaoImpl extends BaseDaoImpl<SettlementLogMapper, SettlementLog, Integer> implements SettlementLogDao {

    @Override
    public List<SettlementLog> getSettlementLogs(String settlementNo) {
        return super.list(lQrWrapper()
                .eq(SettlementLog::getSettlementNo, settlementNo)
                .orderByDesc(SettlementLog::getId));
    }
}
